%define oname mate-icon-theme-faenza

Name:             mate-faenza-icon-theme
Version:          1.20.1
Release:          %mkrel 1
Summary:          MATE Desktop faenza icon theme
Group:            Graphical desktop/MATE
License:          GPLv2+ and Creative Commons Attribution-ShareAlike
URL:              http://mate-desktop.org
Source0:          http://pub.mate-desktop.org/releases/1.8/%{oname}-%{version}.tar.xz
BuildRequires:    hicolor-icon-theme
BuildRequires:    mate-common
Requires:         mate-icon-theme
Requires:         mate-themes
AutoReqProv:	  no
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the Mate Faenza icon theme for MATE.

%prep
%setup -qn %{oname}-%{version}

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_iconsdir}

%post
/bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzagray &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzadark &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzadark &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzagray &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :

fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :


%clean
rm -rf %buildroot

%changelog
* Sat Feb 15 2020 tex - 1.20.1-1pclos2020
- 1.20.1
